## python-udiskie 1.2.0

=== lang/Makefile ===

all: en_US.po

%.po: udiskie.pot
	if [ -f $@ ]; then \
        msgmerge --update $@ $< ;\
    else \
        msginit --output=$@ --input=$< --locale=en_US ;\
    fi

udiskie.pot: $(wildcard ../udiskie/*.py)
	xgettext --language=Python --keyword=_ --output=$@ --from-code=UTF-8 $^

=== debian/changelog ===
python-udiskie (1.2.0-3) unstable; urgency=medium

  [ Nathan Schulte ]
  * Add python3-pkg-resources and python-pkg-resources as runtime dependency,
    needed to run the udskie python script. (Closes: #789822)

  [ Gianfranco Costamagna ]
  * Add libgtk2.0-bin to the control file:
    - gtk-update-icon-cache is used during the build.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 25 Jun 2015 14:38:45 +0200

python-udiskie (1.2.0-2) unstable; urgency=medium

  * Update copyright file
  * cherry-pick upstream commits to fix python3.4 compatibility issues
    and copyright missing information.
    - 6f7d12f8efde70133ca62044893f351c34b388e2.patch
      Documentation fixes
    - aa7cfa84a4f3f09508e5c8016e3198669c299501.patch
      This should fix the build failure with python3.4
    - b5f453c48fcbee7a7bbd59a725f0604f29687125.patch
      Update copyright notices

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 23 Jun 2015 10:25:35 +0200

python-udiskie (1.2.0-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release.
  * Update watch file.
  * Update VCS field.
  * Update package description.
  * Switch to udisks2 runtime dependency, upstream switched to it,
    and Debian removed the udisks package.
  * Acknowledge ubuntu changes (with a *great* thanks to Logan Rosen,
    for reporting and the patch!
  * Remove X-Python*-Version control tag.
  * Add some (mostly useless, just trying to fix build warnings)
    build-dependencies:
    - gir1.2-gtk-3.0,
    - gir1.2-notify-0.7,
    - python-gi,
    - python3-gi

  [ Logan Rosen ]
  * Build-depend on xsltproc and docbook-xsl to fix FTBFS (Closes: #789453).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 22 Jun 2015 08:31:44 +0200

python-udiskie (1.1.2-1) unstable; urgency=low

  * Initial release. Closes: #763112

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 11 Oct 2014 12:34:12 +0200

=== debian/control ===
Source: python-udiskie
Section: python
Priority: extra
Maintainer: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Build-Depends: asciidoc,
               debhelper (>=9),
               dh-python,
               docbook-xsl,
               gettext,
               gir1.2-gtk-3.0,
               gir1.2-notify-0.7,
               gobject-introspection,
               libgtk2.0-bin,
               python-all,
               python-docopt,
               python-gi,
               python-setuptools,
               python-yaml,
               python3-all,
               python3-docopt,
               python3-gi,
               python3-setuptools,
               python3-yaml,
               xsltproc
Standards-Version: 3.9.6
Homepage: https://github.com/coldfix/udiskie
Vcs-Git: git://anonscm.debian.org/collab-maint/python-udiskie.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-udiskie.git

Package: python-udiskie
Architecture: all
Depends: gettext,
         gobject-introspection,
         python-gi | python-gi-cairo,
         python-notify,
         python-pkg-resources,
         udisks2,
         ${misc:Depends},
         ${python:Depends}
Conflicts: python3-udiskie
Description: automounter for removable media for Python 2
 udiskie is a front-end for UDisks written in Python. Its main purpose is
 automatically mounting removable media, such as CDs or flash drives. It has
 optional mount notifications, a GTK+ tray icon and user level CLIs for manual
 mount and unmount operations. The media will be mounted in a new directory
 under /media or /run/media/USER/, using the device name if possible.
 .
 This package is needed to support automounting removable media when
 nautilus is not available to control UDisks2.
 .
 This is the Python 2 version of the package.

Package: python3-udiskie
Architecture: all
Depends: gettext,
         gobject-introspection,
         python-notify,
         python3-gi | python3-gi-cairo,
         python3-pkg-resources,
         udisks2,
         ${misc:Depends},
         ${python3:Depends}
Conflicts: python-udiskie
Description: automounter for removable media for Python 3
 udiskie is a front-end for UDisks written in Python. Its main purpose is
 automatically mounting removable media, such as CDs or flash drives. It has
 optional mount notifications, a GTK+ tray icon and user level CLIs for manual
 mount and unmount operations. The media will be mounted in a new directory
 under /media or /run/media/USER/, using the device name if possible.
 .
 This package is needed to support automounting removable media when
 nautilus is not available to control UDisks2.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/udiskie/udiskie-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-udiskie 1.4.4

=== debian/changelog ===
python-udiskie (1.4.4-1) unstable; urgency=medium

  * New upstream release.
  * add gir1.2-gtk-3.0 to runtime dependencies
    (thanks Greg Bognar for the fix!)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Dec 2015 09:53:30 +0100

python-udiskie (1.4.1-1) unstable; urgency=medium

  * New upstream release.
    - (Closes: #806560)
  * switch to gtk-3 for build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Dec 2015 17:20:04 +0100

python-udiskie (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Sep 2015 10:50:32 +0200

python-udiskie (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update my uid.
  * Drop every patch, upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Sep 2015 17:16:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-udiskie
 Section: python
 Priority: extra
-Maintainer: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
+Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: asciidoc,
                debhelper (>=9),
                dh-python,
@@ -10,7 +10,7 @@
                gir1.2-gtk-3.0,
                gir1.2-notify-0.7,
                gobject-introspection,
-               libgtk2.0-bin,
+               libgtk-3-bin,
                python-all,
                python-docopt,
                python-gi,
@@ -30,6 +30,7 @@
 Package: python-udiskie
 Architecture: all
 Depends: gettext,
+         gir1.2-gtk-3.0,
          gobject-introspection,
          python-gi | python-gi-cairo,
          python-notify,
@@ -53,6 +54,7 @@
 Package: python3-udiskie
 Architecture: all
 Depends: gettext,
+         gir1.2-gtk-3.0,
          gobject-introspection,
          python-notify,
          python3-gi | python3-gi-cairo,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=udiskie

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	$(MAKE) -C doc clean
	rm -f doc/udiskie-mount.8 doc/udiskie-umount.8
	dh_auto_clean

override_dh_auto_build:
	$(MAKE) -C doc
	cp -f doc/udiskie.8 doc/udiskie-mount.8
	cp -f doc/udiskie.8 doc/udiskie-umount.8
	dh_auto_build
